#========================================================================================
# package      DE_EPAGES::DHLIntraship::API::AddressValidationMerchant
# base         E_EPAGES::DHLIntraship::API::AddressValidation
# state        public
#----------------------------------------------------------------------------------------
# description  Validate Merchant Addresses
#========================================================================================
package DE_EPAGES::DHLIntraship::API::AddressValidationMerchant;
use base DE_EPAGES::DHLIntraship::API::AddressValidation;

use DE_EPAGES::DHLIntraship::API::Constants qw (
    %ADDRESS_LENGTH_INTERVALS
);

use strict;

sub new {
    my $class = shift;
    my ($Address)  = @_;
    my $ExtraMandatoryFields = {
        'EMail'   => {
            'Mandatory'=> 1,
            'MinValue'=> $ADDRESS_LENGTH_INTERVALS{'email'}->{'min'},
            'MaxValue'=>$ADDRESS_LENGTH_INTERVALS{'email'}->{'max'}
        },
        'Company' => {
            'Mandatory'=> 1,
            'MinValue'=> $ADDRESS_LENGTH_INTERVALS{'name2'}->{'min'},
            'MaxValue'=>$ADDRESS_LENGTH_INTERVALS{'name2'}->{'max'}
        },
    };
    my $self = __PACKAGE__->SUPER::new( $Address, $ExtraMandatoryFields );
    return $self;
}

1;