#========================================================================================
# package      DE_EPAGES::DHLIntraship::API::ShippingLabelAttributes::CustomerAddress
# state        public
#----------------------------------------------------------------------------------------
# description  validates the CustomerAddress from Shipping lable
#----------------------------------------------------------------------------------------
# example      my $CustomerAddress = DE_EPAGES::DHLIntraship::API::ShippingLabelAttributes::CustomerAddress->new( $ShippingLabel );
#               if ($CustomerAddress->hasWarningStates()){
#                   DoSomething();
#               }
#               see also: DHLIntraship/t/ShopAddress.t
#========================================================================================
package DE_EPAGES::DHLIntraship::API::ShippingLabelAttributes::CustomerAddress;
use DE_EPAGES::DHLIntraship::API::AddressValidation;

use strict;
sub new {
    my $class = shift;
    my ( $ShippingLabel ) = @_;
    my $ShippingLabelCustomerAddress = $ShippingLabel->get('Address');
    my $AddressValidation = DE_EPAGES::DHLIntraship::API::AddressValidation->new( $ShippingLabelCustomerAddress );
    return $AddressValidation;
}
1;