#========================================================================================
# package      DE_EPAGES::DHLIntraship::API::ShippingLabelAttributes::ShopAddress
# state        public
#----------------------------------------------------------------------------------------
# description  validates the ShopAdress from Shipping lable
#----------------------------------------------------------------------------------------
# example      my $ShopAddress = DE_EPAGES::DHLIntraship::API::ShippingLabelAttributes::ShopAddress->new( $ShippingLabel );
#               if ($ShopAddress->hasWarningStates()){
#                   DoSomething();
#               }
#               see also: DEHIntraship/t/ShopAddress.t
#========================================================================================
package DE_EPAGES::DHLIntraship::API::ShippingLabelAttributes::ShopAddress;
use DE_EPAGES::DHLIntraship::API::AddressValidationMerchant;
use strict;

sub new {
    my $class = shift;
    my ( $ShippingLabel ) = @_;
    my $ShippingLabelShopAddress = $ShippingLabel->get('ShopAddress');
    my $AddressValidation = DE_EPAGES::DHLIntraship::API::AddressValidationMerchant->new( $ShippingLabelShopAddress );
    return $AddressValidation;
}
1;