#========================================================================================
# §package      DE_EPAGES::Presentation::t::RedirectServletMock
# §state        public
#----------------------------------------------------------------------------------------
# §description  Class to mock a servlet, necessary for Redirect.t
#========================================================================================
package DE_EPAGES::Presentation::t::RedirectServletMock;

use strict;

our $MockShop;
our $IsMobile;
our $Locale;
our $ViewAction;

sub vars {}

sub new {
    my $class = shift;
    $ViewAction = 'View';
    $Locale     = 'en_GB';
    $IsMobile   = '0';

    my $self = bless {}, $class;
    return $self;
}

sub setLocale {
    shift;
    ($Locale) = @_;
    return;
}

sub setViewAction {
    shift;
    ($ViewAction) = @_;
    return;
}

sub setMockShop {
    shift;
    ($MockShop) = @_;
    return;
}

sub setIsMobile {
    shift;
    ($IsMobile) = @_;
    return;
}

sub params {
    shift;
    my ($Attribute) = @_;
    return $ViewAction if $Attribute eq 'ViewAction';
    return $IsMobile   if $Attribute eq 'IsMobile';
}

sub object {
    shift;
    return $MockShop;
}

sub locale {
    shift;
    return $Locale;
}

1;
