#========================================================================================
# package      DE_EPAGES::Presentation::t::RedirectShopMock
# state        public
#----------------------------------------------------------------------------------------
# description  Class for creating a mocked Shop, necessary for Redirect.t.
#========================================================================================
package DE_EPAGES::Presentation::t::RedirectShopMock;
use base qw (DE_EPAGES::Core::API::Object::BaseObject Test::MockObject);

use strict;

our $DomainName;
our $WebServerScriptUrlMobile;
our $WebServerScriptUrlMobileSSL;
our $WebServerScriptUrl;
our $WebServerScriptUrlSSL;
our $Path;

sub new {
    my $class = shift;
    my $Uri                      = 'my-cool-shop.intern.epages.de/epages/Wurstshop';

    $Path                        = '/Shops/Wurstshop';
    $WebServerScriptUrl          = 'http://' . $Uri . '.sf';
    $WebServerScriptUrlSSL       = 'https://' . $Uri . '.sf';
    $WebServerScriptUrlMobile    = 'http://' . $Uri . '.mobile';
    $WebServerScriptUrlMobileSSL = 'https://' . $Uri . '.mobile';
    $DomainName                  = undef;

    my $self = bless {}, $class;
    return $self;
}

sub getSite {
    my $self = shift;
    return $self;
}

sub setDomainName {
    shift;
    ($DomainName) = @_;
    return;
}

sub setWebServerScriptUrl {
    shift;
    ($WebServerScriptUrl) = @_;
    return;
}

sub setWebServerScriptUrlSSL {
    shift;
    ($WebServerScriptUrlSSL) = @_;
    return;
}

sub setWebServerScriptUrlMobile {
    shift;
    ($WebServerScriptUrlMobile) = @_;
    return;
}

sub setWebServerScriptUrlMobileSSL {
    shift;
    ($WebServerScriptUrlMobileSSL) = @_;
    return;
}

sub setPath {
    shift;
    ($Path) = @_;
    return;
}

sub locale {
    shift;
    return;
}

sub get {
    my $self = shift;
    my ($Attribute) = @_;

    return $DomainName                  if $Attribute eq 'DomainName';
    return $WebServerScriptUrlMobile    if $Attribute eq 'WebServerScriptUrlMobile';
    return $WebServerScriptUrlMobileSSL if $Attribute eq 'WebServerScriptUrlMobileSSL';
    return $WebServerScriptUrl          if $Attribute eq 'WebServerScriptUrl';
    return $WebServerScriptUrlSSL       if $Attribute eq 'WebServerScriptUrlSSL';
    return $Path                        if $Attribute eq 'Path';
}

1;
